<?php

namespace App\Commands;

use CodeIgniter\CLI\BaseCommand;
use CodeIgniter\CLI\CLI;

class NataClean extends BaseCommand
{
    /**
     * The Command's Group
     *
     * @var string
     */
    protected $group = 'Natacode';

    /**
     * The Command's Name
     *
     * @var string
     */
    protected $name = 'nata:clean';

    /**
     * The Command's Description
     *
     * @var string
     */
    protected $description = 'Ran cleaner for Production';

    /**
     * The Command's Usage
     *
     * @var string
     */
    protected $usage = 'nata:clean [arguments] [options]';

    /**
     * The Command's Arguments
     *
     * @var array
     */
    protected $arguments = [];

    /**
     * The Command's Options
     *
     * @var array
     */
    protected $options = [];

    /**
     * Actually execute a command.
     *
     * @param array $params
     */
    public function run(array $params)
    {
        // clear debug cache and logs
        command('debugbar:clear');
        command('logs:clear');

        // clear all the necesary images
        $this->cleanImages();
    }

    public function cleanImages()
    {
        $folder = [
            'assets/images/favicon',
            'assets/images/product',
            'assets/images/product/extra',
            'assets/images/og/product',
        ];

        foreach ($folder as $f) {
            $files = glob($f . '/*');
            foreach ($files as $file) {
                if (is_file($file)) {
                    if (file_exists($file) && $file != $f . '/default.png' && $file != $f . '/index.html') {
                        unlink($file);
                        CLI::write('Deleted ' . $file, 'green');
                    }
                }
            }
        }
    }
}
