<?php

namespace App\Controllers;

class Home extends BaseController
{
    public function index($page = 'home')
    {
        $param_id = $this->request->getGet('id');
        // get name from slug product if exists
        $productModel = new \App\Models\ProductModel();
        $product = $productModel->where('slug', $param_id)->first();
        $product_name = $product ? $product['name'] : '';
        $product_description = $product ? "Ayo beli $product_name dengan harga terbaik!" : clean_tag(getStore('description_home'));
        $og_image = 'assets/images/og/' . ($product ? 'product/' . $product['og_image'] : getStore('og_main'));
        if (!file_exists($og_image)) {
            $og_image = 'assets/images/og/og_image.jpg';
        }

        // passing data to view
        $data = [
            'title' => $product_name ?: (getStore('title') ?: 'Toko Digital'),
            'meta_description' => $product_description,
            'og_url' => base_url($og_image),
            'content' => $page
        ];

        return view('Layouts/Starter', $data);
    }
}
