<?php

namespace App\Controllers;

use App\Controllers\BaseController;

class Info extends BaseController
{
    protected $postModel;
    public function __construct()
    {
        $this->postModel = new \App\Models\PostModel();
    }

    public function index($slug)
    {
        $post = $this->postModel->where('slug', $slug)->first();

        if (!$post) {
            throw \CodeIgniter\Exceptions\PageNotFoundException::forPageNotFound();
        }

        $content = [
            'title' => $post['title'],
            'post' => $post,
        ];

        $meta = [
            'meta_description' => $post['content'],
            'og_url' => base_url('assets/images/post/' . $post['image']),
        ];

        $data = array_merge($content, $meta);

        return view('Info/index', $data);
    }
}
