<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CarouselImages extends Migration
{
    public function up()
    {
        $schema = [
            'id' => [
                'type' => 'INT',
                'auto_increment' => true,
                'unsigned' => true,
            ],
            'sort' => [
                'type' => 'INT',
                'unsigned' => true,
                'null' => true,
            ],
            'image_path' => [
                'type' => 'text',
                'null' => true,
            ],
            'status' => [
                'type' => 'tinyint',
                'constraint' => 1,
                'default' => 1,
            ],
            'created_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
            'updated_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
        ];

        $this->forge->addField($schema);
        $this->forge->addKey('id', true);
        $this->forge->createTable('carousel_images');
    }

    public function down()
    {
        $this->forge->dropTable('carousel_images');

        // remove image from folder
        $path = PUBLIC_PATH . 'images/carousel/';
        $files = glob($path . '*');
        foreach ($files as $file) {
            if (is_file($file)) {
                unlink($file);
            }
        }
    }
}
