<?php

namespace App\Models;

use CodeIgniter\Model;

class ProductModel extends Model
{
    protected $table            = 'products';
    protected $allowedFields    = ['sort_number', 'name', 'hide_price', 'price', 'price_discount', 'category', 'status', 'badge', 'time_send', 'image', 'og_image', 'image_width', 'image_color', 'description', 'other_field', 'must_field', 'type_field', 'default_field', 'store_id', 'slug', 'info'];

    public function getProduct($where = null, $select = "*")
    {
        if ($where == null) {
            $this->orderBy('created_at', 'DESC');
            return $this->findAll();
        }
        return $this->select($select)->where($where)->first();
    }

    public function getProductSorted($order = 'ASC', $by = 'sort_number', $null_first = 1)
    {
        if ($null_first) {
            $query = $this->query("SELECT * FROM products ORDER BY CASE WHEN $by IS NULL THEN 0 ELSE 1 END, $by $order");
        } else {
            $query = $this->query("SELECT * FROM products ORDER BY CASE WHEN $by IS NULL THEN 1 ELSE 0 END, $by $order");
        }
        return $query->getResultArray();
    }
}
