<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('content') ?>

<div class="row">
    <div class="col-lg-12">
        <?= $this->include('Layouts/AlertMessage') ?>
        <?php $res = session()->getFlashdata('result') ?>
        <?php if ($res) : ?>
            <div class="alert alert-info alert-dismissible fade show" role="alert">
                Nama: <?= $res['name'] ?><br>
                Username: <?= $res['username'] ?><br>
                Email: <?= $res['email'] ?><br>
                Password: <?= session()->getFlashdata('password') ?>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <?php endif ?>
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <div class="fs-5">Tambah Member</div>
                <a href="<?= base_url('admin/users') ?>" class="btn btn-primary btn-sm">List Users</a>
            </div>
            <div class="card-body">
                <?= form_open() ?>
                <div class="mb-3 row">
                    <label for="name" class="col-sm-2 col-form-label">Nama</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="name" name="name" value="<?= old('name') ?>" placeholder="Siapa">
                        <?php if (validation_show_error('name')) : ?>
                            <small class="text-danger"><?= validation_show_error('name') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <!-- username -->
                <div class="mb-3 row">
                    <label for="username" class="col-sm-2 col-form-label">Username</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="username" name="username" value="<?= old('username') ?>" placeholder="username">
                        <?php if (validation_show_error('username')) : ?>
                            <small class="text-danger"><?= validation_show_error('username') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <!-- Email -->
                <div class="mb-3 row">
                    <label for="email" class="col-sm-2 col-form-label">Email</label>
                    <div class="col-sm-10">
                        <input type="email" class="form-control" id="email" name="email" value="<?= old('email') ?>" placeholder="siapa@gmail.com">
                        <?php if (validation_show_error('email')) : ?>
                            <small class="text-danger"><?= validation_show_error('email') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <!-- password -->
                <div class="mb-3 row">
                    <label for="password" class="col-sm-2 col-form-label">Password</label>
                    <div class="col-sm-10">
                        <div class="input-group">
                            <input type="text" class="form-control" id="password" name="password" placeholder="password" value="<?= old('password') ?>">
                            <button class="btn btn-outline-secondary" type="button" id="randomPassword">Random</button>
                        </div>
                        <?php if (validation_show_error('password')) : ?>
                            <small class="text-danger"><?= validation_show_error('password') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row d-flex justify-content-end">
                    <div class="col-sm-10">
                        <button type="submit" class="btn btn-dark text-capitalize">Tambah user baru</button>
                    </div>
                </div>
                <?= form_close() ?>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>


<?= $this->section('script') ?>
<script>
    // randomPassword function, create random alhpanum 12 char
    function randomPassword() {
        var chars = "abcdefghijklmnopqrstuvwxyz!@#ABCDEFGHIJKLMNOP1234567890";
        var pass = "";
        for (var x = 0; x < 12; x++) {
            var i = Math.floor(Math.random() * chars.length);
            pass += chars.charAt(i);
        }
        return pass;
    }

    $("#randomPassword").on('click', function() {
        $("#password").val(randomPassword());
    });

    // onkeyup input, hide the child small.text-danger
    $("input").on('keyup', function() {
        $(this).next('small.text-danger').hide();
        // jika #password, maka ke parent dan cari small.text-danger
        if ($(this).attr('id') == 'password') {
            $(this).parent().next('small.text-danger').hide();
        }
    });
</script>
<?= $this->endSection() ?>