<style>
    .og-thumbnail {
        width: 50%;
        border-radius: 20px;
        border: 1px solid #ccc;
    }

    @media (max-width: 768px) {
        .og-thumbnail {
            width: 100%;
        }
    }
</style>

<div id="editor-container">
    <div class="mb-3 row">
        <!-- Graph Image -->
        <label for="og_image" class="col-sm-2 col-form-label">OG Background</label>
        <div class="col-sm-10">
            <!-- select -->
            <select class="form-select" id="og_theme" name="og_theme">
                <?php foreach ($og_themes as $og) : ?>
                    <option value="<?= $og['code'] ?>" <?= getStore('og_theme') == $og['code'] ? 'selected' : '' ?>><?= $og['name'] ?></option>
                <?php endforeach ?>
            </select>
            <div class="alert alert-primary mt-3 mb-0">
                <i class="bi bi-info-circle"></i> Pilih tema untuk mengubah thumbnail, digunakan saat kita paste link website maupun produk juga.
            </div>
        </div>
    </div>
    <div class="mb-3 row">
        <!-- Graph Image -->
        <label for="og_banner" class="col-sm-2 col-form-label">OG Preview</label>
        <div class="col-sm-10">
            <img id="og_banner_preview" src="<?= base_url('assets/images/og/' . (getStore('og_main') ?: 'og_image.jpg')) ?>" alt="og_banner" class="og-thumbnail">
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {
        // og image
        $('#og_theme').change(function() {
            setNotify('<i class="bi bi-arrow-clockwise me-1"></i> Memperbarui thumbnail...');
            var og_theme = $(this).val();
            $.ajax({
                url: "<?= base_url('admin/setting/thumbnail') ?>",
                method: "POST",
                data: {
                    og_theme: og_theme
                },
                success: function(data) {
                    setNotify('<i class="bi bi-patch-check me-1"></i> Berhasil memperbarui thumbnail');
                    setTimeout(function() {
                        setNotify('<i class="bi bi-arrow-clockwise me-1"></i> Akan memuat ulang halaman...');
                    }, 1000);
                    setTimeout(function() {
                        window.location.reload(true);
                    }, 3000);
                }
            });
        });
    });
</script>