<style>
    .uploadArea {
        border-style: dashed;
        border-color: gray;
        cursor: pointer;
        padding: 1rem;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .img-upload {
        min-height: 12rem;
        position: relative;
        display: flex;
        object-fit: cover;
        justify-content: center;
        align-items: center;
    }

    .img-upload img {
        width: 70%;
        object-fit: cover;
    }

    .img-upload-btn {
        position: absolute;
        top: 5px;
        right: 5px;
        z-index: 1;
    }

    .drag-handle {
        position: absolute;
        top: 5px;
        left: 5px;
        z-index: 1;
        cursor: move;
    }
</style>
<input type="file" id="uploadImage" name="uploadImage[]" class="d-none" accept="image/*" multiple>
<div class="d-flex justify-items-center">
    <div class="border-5 rounded-4 text-center uploadArea" id="uploadArea">
        <small>GAMBAR LAINNYA</small>
        <i class=" bi bi-plus-square-dotted fs-1 text-success"></i>
    </div>
    <div class="ms-3">
        <p>Kamu bisa memilih langsung banyak</p>
        <small class="text-muted">Maksimal 6 gambar</small>
    </div>
</div>
<div class="container">
    <div class="row d-flex" id="list-image">
        <?php if ($images) : ?>
            <?php foreach ($images as $image) : ?>
                <div class="border col-md-4 col-sm-6 col-12 mb-3 img-upload">
                    <img src="<?= base_url('assets/images/product/extra/' . $image['image_url']) ?>" class="img-fluid rounded-4" alt="Gambar lainnya">
                    <button type="button" class="btn btn-danger btn-sm img-upload-btn btn-delete-image" data-id="<?= $image['id'] ?>" title="Hapus gambar">
                        <i class="bi bi-trash"></i>
                    </button>
                    <span class="drag-handle btn btn-secondary btn-sm"><i class="bi bi-arrows-move"></i></span>
                    <input type="hidden" name="image_order[]" value="<?= $image['id'] ?>">
                </div>
            <?php endforeach ?>
        <?php endif ?>
    </div>
</div>

<script>
    $(function() {
        let listImage = $("#list-image");
        async function uploadImage() {
            return new Promise((resolve, reject) => {
                let formData = new FormData();
                let totalFiles = $("#uploadImage")[0].files.length;
                for (let i = 0; i < totalFiles; i++) {
                    let file = $("#uploadImage")[0].files[i];
                    // add product_id to formData
                    formData.append("product_id", "<?= $product['id'] ?>");
                    formData.append("images[]", file);
                }

                // sweetalert loading
                Swal.fire({
                    title: "Uploading...",
                    text: "Please wait",
                    icon: "info",
                    allowOutsideClick: false,
                    showConfirmButton: false,
                    willOpen: () => {
                        Swal.showLoading();
                    },
                });

                // Menggunakan async/await untuk menunggu hasil permintaan AJAX
                $.ajax({
                    url: "<?= base_url('admin/product/upload-image') ?>",
                    type: "post",
                    data: formData,
                    contentType: false,
                    processData: false,
                    success: function(response) {
                        if (response.success) {
                            Swal.fire({
                                icon: "success",
                                title: "Success",
                                text: response.message,
                            });
                            console.log(response.data);
                            resolve(response.data); // Menggunakan resolve untuk mengembalikan data respons dari server.
                        } else {
                            Swal.fire({
                                icon: "error",
                                title: "Oops...",
                                text: response.message,
                            });
                            reject(response.message); // Menggunakan reject untuk menangani kesalahan.
                        }
                    },
                    error: function(xhr, ajaxOptions, thrownError) {
                        Swal.fire({
                            icon: "error",
                            title: "Oops...",
                            text: xhr.responseText,
                        });
                        reject(xhr.responseText); // Menggunakan reject untuk menangani kesalahan.
                    },
                });
            });
        }

        // Menggunakan async/await di dalam $("#uploadImage").change()
        $("#uploadImage").change(async function() {
            let files = $(this)[0].files;
            let totalFiles = files.length;
            let totalImage = listImage.find(".img-upload").length;
            let total = totalFiles + totalImage;
            if (total > 6) {
                Swal.fire({
                    icon: "error",
                    title: "Oops...",
                    text: "Maksimal 6 gambar",
                });
                return false;
            }

            try {
                // Menunggu hasil dari fungsi uploadImage
                let data = await uploadImage();
                console.log(data);

                if (data.length > 0) {
                    // Loop dan tampilkan gambar
                    for (let i = 0; i < totalFiles; i++) {
                        let file = files[i];
                        let reader = new FileReader();
                        reader.onload = function(e) {
                            let img = `<div class="border col-md-4 col-sm-6 col-12 mb-3 img-upload">
                        <img src="${e.target.result}" class="img-fluid rounded-4" alt="Gambar lainnya">
                        <button type="button" class="btn btn-danger btn-sm img-upload-btn btn-delete-image" data-id="${data[i].id}" title="Hapus gambar">
                            <i class="bi bi-trash"></i>
                        </button>
                        <span class="drag-handle btn btn-secondary btn-sm"><i class="bi bi-arrows-move"></i></span>
                        <input type="hidden" name="image_order[]" value="${data[i].id}">
                    </div>`;
                            listImage.append(img);
                        };
                        reader.readAsDataURL(file);
                    }
                }
            } catch (error) {
                console.error("Error:", error);
            }
        });

        // Mengaktifkan fitur drag-and-drop dengan jQuery UI Sortable
        listImage.sortable({
            handle: ".drag-handle",
            update: function() {
                let order = [];
                // Loop setiap gambar
                listImage.find(".img-upload").each(function() {
                    let id = $(this).find(".btn-delete-image").data("id");
                    order.push(id);
                });
            }
        });

        // Menghubungkan event klik ke area upload
        $("#uploadArea").click(function(e) {
            e.preventDefault();
            $("#uploadImage").click();
        });

        // delete image from preview
        $(document).on("click", ".btn-delete-image", function(e) {
            e.preventDefault();
            let id = $(this).data("id");
            let image = $(this).closest(".img-upload");
            // sweetalert confirm
            Swal.fire({
                title: "Are you sure?",
                text: "You won't be able to revert this!",
                icon: "warning",
                showCancelButton: true,
                confirmButtonText: "Yes, delete it!",
            }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: "<?= base_url('admin/product/delete-image') ?>",
                        type: "post",
                        data: {
                            id: id
                        },
                        success: function(response) {
                            console.log(response);
                            if (response.status) {
                                Swal.fire({
                                    icon: "success",
                                    title: "Success",
                                    text: response.message,
                                });
                                image.remove();
                            } else {
                                Swal.fire({
                                    icon: "error",
                                    title: "Oops...",
                                    text: response.message,
                                });
                            }
                        },
                        error: function(xhr, ajaxOptions, thrownError) {
                            Swal.fire({
                                icon: "error",
                                title: "Oops...",
                                text: xhr.responseText,
                            });
                        }
                    });
                }
            });
        });
    })
</script>