<!-- modalFavicon -->
<div class="modal fade" id="modalFavicon" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="modalFaviconLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="modalFaviconLabel">Ubah Favicon</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <p>Mohon gunakan gambar persegi (dimensi sama).<br>
                    Contoh: 100x100px, 200x200px, 300x300px, dst.
                </p>
                <?php if (getStore('favicon')) : ?>
                    <div class="d-flex align-items-center">
                        <img id="favicon_preview_temp" src="<?= base_url('assets/images/favicon/' . getStore('favicon')) ?>" alt="favicon" class="img-thumbnail" width="100px">
                        <!-- tombol hapus favicon -->
                        <form action="<?= base_url('admin/setting/favicon-delete') ?>" method="post">
                            <?= form_hidden('id', getStore('id')) ?>
                            <?= form_hidden('favicon', getStore('favicon')) ?>
                            <div class="mb-3 ms-3">
                                <button type="submit" class="btn btn-danger">Hapus Favicon</button><br>
                                <small class="text-muted mt-3">
                                    favicon akan menjadi favicon default.
                                </small>
                            </div>
                        </form>
                    </div>
                <?php else : ?>
                    <img id="favicon_preview_temp" src="<?= base_url('assets/images/favicon.png') ?>" alt="favicon" class="img-thumbnail" width="100px">
                <?php endif ?>
                <form action="<?= base_url('admin/setting/favicon') ?>" method="post" enctype="multipart/form-data">
                    <?= form_hidden('id', getStore('id')) ?>
                    <div class="mb-3 mt-3">
                        <label for="favicon" class="form-label">Favicon</label>
                        <input class="form-control" type="file" id="favicon" name="favicon" accept="image/*">
                    </div>
                    <div class="mb-3">
                        <button type="submit" class="btn btn-primary">Simpan</button>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Batal</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {
        $('#favicon').change(function() {
            let file = this.files[0];
            if (file) {
                let reader = new FileReader();
                reader.onload = function(event) {
                    $('#favicon_preview').attr('src', event.target.result);
                    $('#favicon_preview_temp').attr('src', event.target.result);
                }
                reader.readAsDataURL(file);
            }
        });
    });
</script>