<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('content') ?>

<div class="row mt-3">
    <div class="col-lg-12 mb-3">
        <?php if (session()->getFlashdata('success')) : ?>
            <div class="alert alert-success">
                <?= session()->getFlashdata('success') ?>
            </div>
        <?php else : ?>
            <?= $this->include('Layouts/AlertMessage') ?>
        <?php endif ?>
        <div class="card">
            <div class="p-3 d-flex justify-content-between border-bottom">
                <div class="fs-5 fw-semibold">Daftar Berita & Informasi</div>
                <div>
                    <a href="<?= base_url('admin/posts/create') ?>" class="btn btn-sm btn-primary">
                        <i class="bi bi-plus-circle"></i> Posting Baru
                    </a>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive-xl">
                    <table class="table table-bordered" id="postTable">
                        <thead>
                            <tr class="text-capitalize">
                                <th>Gambar</th>
                                <th>Judul</th>
                                <th>Status</th>
                                <th class="text-sm">Dibuat</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- data will be fetched by DataTable -->
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>


<?= $this->section('style') ?>
<?= $this->include('Layouts/DataTable') ?>
<?= $this->endSection() ?>

<?= $this->section('script') ?>
<script>
    $(document).ready(function() {
        // datatable
        $('#postTable').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": "<?= base_url('admin/posts/list-api') ?>",
            order: [
                [3, 'desc']
            ],
            "columnDefs": [{
                target: 0,
                searchable: false,
            }],
            "columns": [{
                    "data": "image",
                    orderable: false
                },
                {
                    "data": "title"
                },
                {
                    "data": "status"
                },
                {
                    "data": "created_at",
                    format: 'datetime'
                },
                {
                    "data": "action",
                    orderable: false
                }
            ]
        });
        // delete post
        $('#postTable').on('click', '.postDelete', function() {
            let id_post = $(this).data('id_post');
            if (confirm('Apakah anda yakin ingin menghapus postingan ini?')) {
                $.ajax({
                    url: '<?= base_url('admin/posts/delete') ?>',
                    type: 'post',
                    data: {
                        id_post: id_post
                    },
                    success: function(response) {
                        $('#postTable').DataTable().ajax.reload();
                    }
                });
            }
        });
    });
</script>

<?= $this->endSection(); ?>