<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('style') ?>
<style>
    .product {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: white;
        position: relative;
        border: 1px solid #dee2e6;
        border-radius: 10px;
    }

    .product img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

    .product small {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 0.3rem;
        text-align: center;
        background-color: white;
    }
</style>
<?= $this->endSection() ?>

<?= $this->section('content') ?>
<div class="alert alert-primary">
    Geser gambar untuk mengubah urutan produk.
</div>
<div class="row g-2 g-lg-3 row-gap-3 row-cols-3 row-cols-md-4 row-cols-lg-6 row-cols-xxl-7" id="sortable">
    <?php foreach ($products as $p) : ?>
        <div class="col" data-product-id="<?= $p['id'] ?>">
            <div class="card product" style="background-color: <?= $p['image_color'] ?: 'white' ?>;">
                <img src="<?= base_url("assets/images/svg/loading.svg") ?>" data-src="<?= base_url('assets/images/product/' . $p['image']) ?>" class="img-fluid lazy-load-image" alt="<?= $p['name'] ?>" style="width: <?= $p['image_width'] ?: '100%' ?>;" />
                <small><?= $p['id'] . ". " . $p['name'] ?></small>
            </div>
        </div>
    <?php endforeach ?>
</div>
<?= $this->endSection() ?>

<?= $this->section('script') ?>
<script>
    $(document).ready(function() {
        $('#sortable').sortable({
                update: function(event, ui) {
                    setNotify('Menyimpan urutan produk...');
                    var product_id = [];
                    var hideAlert = localStorage.getItem('hideAlert');
                    $('#sortable div').each(function() {
                        product_id.push($(this).data('product-id'));
                    });
                    // delete undefined value
                    product_id = product_id.filter(function(e) {
                        return e;
                    });
                    // console.log(product_id);
                    $.ajax({
                        url: "<?= base_url('admin/product/sort') ?>",
                        method: "POST",
                        data: {
                            product_id: product_id
                        },
                        success: function(data, textStatus, jqXHR) {
                            // sweetalert2 if response header 400
                            if (jqXHR.status == 400) {
                                Swal.fire({
                                    icon: 'error',
                                    title: 'Waduh...',
                                    text: data
                                });
                            }
                            if (jqXHR.status == 200) {
                                setNotify('Urutan produk berhasil diperbarui', '2000', 'bg-success');
                            }
                        }
                    })
                }
            }

        );
        $('#sortable').disableSelection();
    });
</script>

<?= $this->endSection() ?>