<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('style') ?>
<style>
    .card {
        margin-bottom: 20px;
    }
</style>
<?= $this->endSection(); ?>
<?= $this->section('content') ?>

<div class="row mt-3">
    <div class="col-lg-12">
        <?= $this->include('Layouts/AlertMessage'); ?>
    </div>
    <div class="col-12 position-relative">
        <?= form_open() ?>
        <div class="card">
            <div class="card-body">
                <!-- nama toko -->
                <div class="mb-3 row">
                    <label for="name" class="col-sm-2 col-form-label">
                        Nama Toko
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="name" name="name" value="<?= old('name') ?: getStore('name') ?>" placeholder="NStore">
                        <?php if (validation_show_error('name')) : ?>
                            <small class="text-danger"><?= validation_show_error('name') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="title" class="col-sm-2 col-form-label">
                        Title Toko
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="title" name="title" value="<?= old('title') ?: (getStore('title') ?: 'Toko Digital') ?>" placeholder="Toko Digital">
                        <?php if (validation_show_error('title')) : ?>
                            <small class="text-danger"><?= validation_show_error('title') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="favicon" class="col-sm-2 col-form-label">
                        Logo/Favicon
                    </label>
                    <div class="col-sm-10">
                        <?php if (getStore('favicon')) : ?>
                            <img id="favicon_preview" src="<?= base_url('assets/images/favicon/' . getStore('favicon')) ?>" alt="favicon" class="img-thumbnail" width="100px" style="background-color: #5c636a;">
                        <?php else : ?>
                            <img id="favicon_preview" src="<?= base_url('assets/images/favicon.png') ?>" alt="favicon" class="img-thumbnail" width="100px">
                        <?php endif ?>
                        <!-- button ubah favicon -->
                        <button type="button" class="btn btn-icon btn-outline-dark ms-3" data-bs-toggle="modal" data-bs-target="#modalFavicon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                                <path fill="currentColor" d="M5 21q-.825 0-1.413-.588T3 19V5q0-.825.588-1.413T5 3h14q.825 0 1.413.588T21 5v14q0 .825-.588 1.413T19 21H5Zm0-2h14V5H5v14Zm1-2h12l-3.75-5l-3 4L9 13l-3 4Zm-1 2V5v14Zm3.5-9q.625 0 1.063-.438T10 8.5q0-.625-.438-1.063T8.5 7q-.625 0-1.063.438T7 8.5q0 .625.438 1.063T8.5 10Z" />
                            </svg>
                            Ubah Logo/Favicon
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <?= $this->include('Admin/image_editor'); ?>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="mb-3 row">
                    <label for="title_home" class="col-sm-2 col-form-label">
                        Title home
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="title_home" name="title_home" value="<?= old('title_home') ?: (getStore('title_home') ?: 'Premium sat-set Anti Ribet') ?>" placeholder="Premium sat-set Anti Ribet">
                        <?php if (validation_show_error('title_home')) : ?>
                            <small class="text-danger"><?= validation_show_error('title_home') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="description_home" class="col-sm-2 col-form-label">
                        Deskripsi home
                    </label>
                    <div class="col-sm-10">
                        <textarea type="text" class="form-control" id="description_home" name="description_home" placeholder="Masukkan deskripsi untuk halaman awal"><?= old('description_home') ?: (getStore('description_home') ?: '') ?></textarea>
                        <?php if (validation_show_error('description_home')) : ?>
                            <small class="text-danger"><?= validation_show_error('description_home') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="cta_home" class="col-sm-2 col-form-label">
                        Tombol (CTA)
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="cta_home" name="cta_home" value="<?= old('cta_home') ?: (getStore('cta_home') ?: 'Belanja Sekarang') ?>" placeholder="Toko Digital">
                        <?php if (validation_show_error('cta_home')) : ?>
                            <small class="text-danger"><?= validation_show_error('cta_home') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <div class="mb-3 row">
                    <label for="template_greet" class="col-sm-2 col-form-label">Pesan Sapaan</label>
                    <div class="col-sm-10">
                        <input type="text" class="form-control" id="template_greet" name="template_greet" value="<?= old('template_greet') ?: getStore('template_greet') ?>" placeholder="Selamat datang kak!">
                        <?php if (validation_show_error('template_greet')) : ?>
                            <small class="text-danger"><?= validation_show_error('template_greet') ?></small>
                        <?php endif ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <!-- phone -->
                <div class="mb-3 row">
                    <label for="phone" class="col-sm-2 col-form-label">
                        Whatsapp
                        <small class="text-danger">*</small>
                    </label>
                    <div class="col-sm-10">
                        <input type="number" class="form-control" id="phone" name="phone" value="<?= old('phone') ?: getStore('phone') ?>" placeholder="62838XXXXXXX">
                        <?php if (validation_show_error('phone')) : ?>
                            <small class="text-danger"><?= validation_show_error('phone') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <!-- facebook -->
                <div class="mb-3 row">
                    <label for="facebook" class="col-sm-2 col-form-label">Facebook</label>
                    <div class="col-sm-10">
                        <div class="input-group">
                            <span class="input-group-text" id="basic-addon1">fb.me/</span>
                            <input type="text" class="form-control" id="facebook" name="facebook" value="<?= old('facebook') ?: getStore('facebook') ?>" placeholder="username">
                        </div>
                        <?php if (validation_show_error('facebook')) : ?>
                            <small class="text-danger"><?= validation_show_error('facebook') ?></small>
                        <?php endif ?>
                    </div>
                </div>
                <!-- Instagram -->
                <div class="mb-3 row">
                    <label for="instagram" class="col-sm-2 col-form-label">Instagram</label>
                    <div class="col-sm-10">
                        <div class="input-group">
                            <span class="input-group-text" id="basic-addon1">ig.me/</span>
                            <input type="text" class="form-control" id="instagram" name="instagram" value="<?= old('instagram') ?: getStore('instagram') ?>" placeholder="username">
                        </div>
                        <?php if (validation_show_error('instagram')) : ?>
                            <small class="text-danger"><?= validation_show_error('instagram') ?></small>
                        <?php endif ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="mb-3 row">
                    <label for="tombol_beli" class="col-sm-2 col-form-label">Buy Produk [Beli/Area]</label>
                    <div class="col-sm-10">
                        <!-- radio button (Beli | Sembunyikan / Full Area) -->
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="tombol_beli" id="tombol_beli1" value="button" <?= getStore('btn_order_type') == 'button' ? 'checked' : '' ?>>
                            <label class="form-check-label" for="tombol_beli1">
                                (Button) Tampilkan tombol beli
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="tombol_beli" id="tombol_beli2" value="area" <?= getStore('btn_order_type') == 'area' ? 'checked' : '' ?>>
                            <label class="form-check-label" for="tombol_beli2">
                                (Area) Klik dimana saja untuk beli
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="mb-3 row">
                    <div class="mb-3 row">
                        <label for="template_message_order" class="col-sm-2 col-form-label">Penjelasan</label>
                        <div class="col-sm-10">
                            <button type="button" class="btn btn-outline-dark btnTampilkan">Tampilkan Contoh</button>
                            <div id="contohVariable" class="d-none">
                                <div class="rounded bg-body-tertiary mt-2 rounded">
                                    <code><?= $this->include('Admin/variable-result') ?></code>
                                </div>
                                <ul>
                                    <li>
                                        <small>
                                            Gunakan <span class="text-muted">{currencyToIdr(variant.price)}</span> untuk format rupiah.
                                        </small>
                                    </li>
                                    <li>
                                        <small>
                                            Gunakan <span class="text-muted">\n</span> untuk membuat baris baru.
                                        </small>
                                    </li>
                                </ul>
                                Mempermudah perubahan, copy paste template pesan dibawah ini.
                                <div class="rounded bg-body-tertiary mt-2 rounded p-3">
                                    <code>
                                        Halo kak!<br>Saya ingin membeli ${product.name} - ${variant.name} ${variant.info} dengan harga ${currencyToIdr(variant.price)} menggunakan metode pembayaran ${payment}
                                    </code>
                                </div>
                                <hr>
                            </div>
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="template_message_order" class="col-sm-2 col-form-label">Pesan ke WA</label>
                        <div class="col-sm-10">
                            <textarea class="form-control" id="template_order" name="template_order" rows="4"><?= old('template_order') ?: (getStore('template_order') ?: 'Halo kak!<br>Saya ingin membeli ${product.name} - ${variant.name} ${variant.info} dengan harga ${currencyToIdr(variant.price)} menggunakan metode pembayaran ${payment}') ?></textarea>
                            <?php if (validation_show_error('template_order')) : ?>
                                <small class="text-danger"><?= validation_show_error('template_order') ?></small>
                            <?php endif ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button type="submit" class="btn btn-lg btn-dark d-flex align-items-center">
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-floppy me-2" viewBox="0 0 16 16">
                <path d="M11 2H9v3h2V2Z" />
                <path d="M1.5 0h11.586a1.5 1.5 0 0 1 1.06.44l1.415 1.414A1.5 1.5 0 0 1 16 2.914V14.5a1.5 1.5 0 0 1-1.5 1.5h-13A1.5 1.5 0 0 1 0 14.5v-13A1.5 1.5 0 0 1 1.5 0ZM1 1.5v13a.5.5 0 0 0 .5.5H2v-4.5A1.5 1.5 0 0 1 3.5 9h9a1.5 1.5 0 0 1 1.5 1.5V15h.5a.5.5 0 0 0 .5-.5V2.914a.5.5 0 0 0-.146-.353l-1.415-1.415A.5.5 0 0 0 13.086 1H13v4.5A1.5 1.5 0 0 1 11.5 7h-7A1.5 1.5 0 0 1 3 5.5V1H1.5a.5.5 0 0 0-.5.5Zm3 4a.5.5 0 0 0 .5.5h7a.5.5 0 0 0 .5-.5V1H4v4.5ZM3 15h10v-4.5a.5.5 0 0 0-.5-.5h-9a.5.5 0 0 0-.5.5V15Z" />
            </svg> Simpan Pengaturan
        </button>
        <?= form_close() ?>
    </div>
</div>

<?= $this->include('Admin/modal_favicon'); ?>

<?= $this->endSection() ?>

<?= $this->section('script') ?>
<script>
    $(document).ready(function() {
        $(".btnTampilkan").click(function(e) {
            e.preventDefault();
            $("#contohVariable").toggleClass('d-none');
        });
    });
    // ckeditor set data to description
    ClassicEditor.create(document.querySelector('#description_home'), {
        toolbar: [
            'undo', 'redo', '|', 'selectAll', 'bold', 'italic', 'link'
        ]
    }).catch(error => {
        console.error(error);
    });
    // ckeditor set data to pesan ke wa
    ClassicEditor.create(document.querySelector('#template_order'), {
        toolbar: [
            'undo', 'redo', '|', 'selectAll', 'bold', 'italic', 'link', 'shiftEnter'
        ]
    }).catch(error => {
        console.error(error);
    });
</script>
<?= $this->endSection() ?>