<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('content') ?>
<div class="super-center">
    <div class="container position-relative">
        <div class="position-absolute top-50 end-0 d-none d-lg-block">
            <img src="<?= base_url("assets/images/svg/loading.svg") ?>" data-src="<?= base_url("assets/images/svg/undraw_my_password_re_ydq7.svg") ?>" class="w-50 ms-auto d-block lazy-load-image" id="imgLogin" alt="login">
        </div>

        <div class="row justify-content-center fs-poppins">
            <?php if ($isLogin) : ?>
                <div class="col-lg-6 text-center">
                    <p class="text-muted">
                        Anda sudah login sebagai <strong><?= getUser('name') ?></strong>
                    </p>
                    <a href="<?= site_url('admin') ?>" class="btn btn-dark btn-lg w-50">
                        <i class="bi bi-box-arrow-right"></i> Dashboard Admin
                    </a>
                </div>
            <?php else : ?>
                <div class="col-lg-5">
                    <div class="mb-3 fs-3 fw-semibold">Login</div>
                    <div class="card">
                        <div class="card-body">
                            <?= form_open('login') ?>

                            <div class="mb-3">
                                <label for="email" class="form-label">Email</label>
                                <input type="email" class="form-control <?= validation_show_error('email') ? "is-invalid" : "" ?>" id="email" name="email" value="<?= old('email'); ?>" placeholder="user@nataon.dev" required>
                                <div class="invalid-feedback" id="email-feedback"><?= validation_show_error('email') ?></div>
                            </div>
                            <div class="mb-3">
                                <label for="password" class="form-label">Password</label>
                                <input type="password" class="form-control <?= validation_show_error('password') ? "is-invalid" : "" ?>" id="password" name="password" placeholder="Masukkan password" required minlength="8">
                                <div class="invalid-feedback" id="password-feedback"><?= validation_show_error('password') ?></div>
                            </div>
                            <div class="d-flex">
                                <button class="btn btn-dark w-100" type="submit">
                                    <i class="bi bi-box-arrow-in-right"></i> Masuk
                                </button>
                            </div>
                            <?= form_close() ?>

                        </div>
                    </div>
                </div>
            <?php endif ?>
        </div>

    </div>
</div>
<?= $this->endSection() ?>

<?= $this->section('script') ?>
<script>
    $(document).ready(function() {
        let formError = `<?= json_encode(validation_errors())  ?>`;
        let isLogin = `<?= $isLogin ? true : false ?>`;

        if (formError != "[]") {
            setNotify("Gagal login, silahkan coba kembali", 3000, "bg-danger");
            $("#imgLogin").attr("data-src", "<?= base_url("assets/images/svg/undraw_pilates_ltw9.svg") ?>");

            $("input").on("change", function() {
                $("#imgLogin").attr("src", "<?= base_url("assets/images/svg/undraw_my_password_re_ydq7.svg") ?>");
            });
        } else {
            if (isLogin) {
                setNotify(`Sudah login`, 3000, "bg-success");
            } else {
                setNotify(`<?= session()->getFlashdata('error') ?: "Selamat datang, silahkan masuk" ?>`, 3000);
            }
        }

        $("input").on("input", function() {
            $(this).removeClass("is-invalid");
            $(this).removeClass("is-valid");
        });
    });
</script>
<?= $this->endSection() ?>