<!DOCTYPE html>
<html lang="id">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php
    $meta_title = (getStore('name') ?: BASE_NAME) . (isset($title) ? " &middot; " . $title : "");
    $meta_description = getStore('description_home');
    $og_url = base_url('assets/images/og/' . getStore('og_main') ?: 'og_image.jpg');
    ?>

    <title><?= ucwords($meta_title) ?></title>
    <link rel="icon" href="<?= favicon() ?>" type="image/<?= favicon('extension') ?>">

    <meta name="title" content="<?= $meta_title ?>" />
    <meta name="description" content="<?= $meta_description ?>" />

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website" />
    <meta property="og:url" content="<?= current_url() ?>" />
    <meta property="og:title" content="<?= $meta_title ?>" />
    <meta property="og:description" content="<?= $meta_description ?>" />
    <meta property="og:image" content="<?= $og_url ?>" />

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image" />
    <meta property="twitter:url" content="<?= current_url() ?>" />
    <meta property="twitter:title" content="<?= $meta_title ?>" />
    <meta property="twitter:description" content="<?= $meta_description ?>" />
    <meta property="twitter:image" content="<?= $og_url  ?>" />

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11.7.20/dist/sweetalert2.min.css">
    <?= link_tag('assets/css/app.min.css') ?>

    <!-- app -->
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.min.js" integrity="sha256-lSjKY0/srUM9BE3dPm+c4fBo1dky2v27Gdjm2uoZaL0=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.7.20/dist/sweetalert2.all.min.js"></script>
    <script src="https://cdn.ckeditor.com/ckeditor5/39.0.1/classic/ckeditor.js"></script>
    <?= script_tag('assets/js/app.min.js') ?>


    <!-- custom style -->
    <?= $this->renderSection('style') ?>

</head>

<body>
    <?= $this->include('Layouts/Navbar') ?>
    <!--  -->
    <div class="container" id="app" style="display: none;">
        <?= $this->renderSection('content') ?>

    </div>
    <footer>
        <div class="container py-3 text-end">
            <small class="text-muted">&copy; <?= getStore('name') ?: BASE_NAME ?> 2023</small>
        </div>
    </footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Custom Script -->
    <script>
        $(document).ready(function() {
            $("#app").fadeIn(500);
            sessionStorage.removeItem("currentPage");

            $(".load-page").click(function(e) {
                e.preventDefault();

                let origin = window.location.origin;
                let pathPage = $(this).data("page");
                let fullUrl = `${origin}/${pathPage}`;

                if (pathPage === "/" || pathPage === "#" || pathPage === "") {
                    fullUrl = origin;
                }
                window.location.href = fullUrl;
            });
        });
    </script>

    <?= $this->renderSection('script') ?>

</body>

</html>