<script>
    AOS.init();
    // make body to relative
    document.querySelector('.container').setAttribute('style', 'position: relative;');
    // make svg to outside container
    document.querySelectorAll('.svg').forEach((svg) => {
        svg.setAttribute('style', 'position: absolute; z-index: -1; width: 100%; height: 100%;');
    });
</script>
<div class="row d-flex justify-content-between my-5">
    <div class="col-lg-6 mt-3 mt-xxl-5 text-center text-lg-start">
        <div class="fw-bolder mb-4" style="font-size: xxx-large; line-height: normal;" data-aos="fade-down">
            <?= getStore('title_home') ?: 'Premium Satset Tanpa Harus Ribet' ?>
        </div>
        <?php if (getStore('description_home')) : ?>
            <p class="fs-5 mb-4" data-aos="fade-up" data-aos-delay="200">
                <?= getStore('description_home') ?>
            </p>
        <?php endif ?>
        <div class="mt-4">
            <button type="button" class="btn btn-lg btn-dark load-page shadow px-4 rounded-2" data-page="products" onclick="loadPage('products')" data-aos="flip-down" data-aos-delay="400">
                <?= getStore('cta_home') ?: 'Belanja Sekarang' ?>
            </button>
        </div>
    </div>
    <div class="col-lg-6 mt-4">
        <img src="<?= base_url('assets/images/svg/loading.svg') ?>" data-src="<?= base_url('assets/images/svg/undraw_shopping_bags_6r4m.svg') ?>" alt="people shop" class="w-100 img-fluid lazy-load-image d-flex mx-auto" data-aos="zoom-in">
    </div>
</div>

<hr class="my-5 border-0">
<hr class="my-5 border-0">

<div class="row d-flex justify-content-between mt-5">
    <div class="col-lg-6 mt-4">
        <img src="<?= base_url('assets/images/svg/loading.svg') ?>" data-src="<?= base_url('assets/images/svg/undraw_scrum_board_re_wk7v.svg') ?>" alt="people shop" class="w-75 img-fluid lazy-load-image d-flex mx-auto" data-aos="zoom-out-up" data-aos-delay="100">
    </div>
    <div class="col-lg-6 mt-4 text-center text-lg-start">
        <div class="fs-2 fw-bolder mb-4" data-aos="zoom-in-left">
            Produk Berkualitas, Harga Mantap dan Proses Cepat
        </div>
        <div class="fs-5 mb-4" data-aos="fade-in" data-aos-placement="center-bottom">
            <p>
                Kami menyediakan berbagai macam produk berkualitas dengan harga terjangkau. Kenapa kamu harus membeli produk kami?
            </p>
            <div class="d-flex justify-content-center justify-content-lg-start">
                <ul class="text-start" style="font-size: large; list-style: square;">
                    <li>Premium</li>
                    <li>Bergaransi</li>
                    <li>Proses Cepat</li>
                    <li>Fast Response</li>
                </ul>
            </div>
        </div>
    </div>
</div>

<hr class="my-5 border-0">
<hr class="my-5 border-0">

<div class="row d-flex justify-content-center mt-5">
    <div class="col-lg-12 text-center">
        <div class="fs-2 fw-bolder mb-4" data-aos="fade-down">
            Metode Pembayaran
        </div>
        <p>
            Kami menyediakan bermacam metode pembayaran yang bisa kamu pilih sesuai keinginanmu.
        </p>
    </div>
    <div class="col-lg-8 my-4">
        <div class="row row-cols-3 row-cols-lg-4 g-2 g-md-3" data-bs-theme="light">
            <?php foreach ($payment as $k => $p) : ?>
                <?php if ($p['status'] == 1) : ?>
                    <div class="col">
                        <div class="card h-100" data-aos="fade-down" data-aos-delay="<?= $k * 130 ?>" data-aos-placement="top-center">
                            <div class="card-body d-flex align-items-center">
                                <img src="<?= base_url('assets/images/svg/loading.svg') ?>" data-src="<?= base_url('assets/images/payment/') . $p['image'] ?>" alt="<?= $p['name'] ?>" class="lazy-load-image img-fluid" data-aos="fade-up" data-aos-delay="<?= $k * 110 ?>">
                            </div>
                        </div>
                    </div>
                <?php endif ?>
            <?php endforeach ?>
            <?php if ((session('isLoggedIn')) && getUser('role') === 'admin') : ?>
                <!-- Tambahkan metode pembayaran -->
                <div class="col-6">
                    <div class="card h-100">
                        <a href="<?= site_url('admin/payment') ?>" class="link-offset-2 link-offset-3-hover link-underline link-underline-opacity-0 link-underline-opacity-75-hover" target="__new">
                            <div class="py-2 d-flex justify-content-center align-items-center">
                                <i class="bi bi-plus-circle fs-3 me-2"></i>
                                <span class="fw-medium">Add Payment</span>
                            </div>
                        </a>
                    </div>
                </div>
            <?php endif ?>
        </div>
    </div>
</div>

<hr class="my-5 border-0">
<hr class="my-5 border-0">

<div class="row">
    <div class="col-lg-12" data-bs-theme="light">
        <div class="card rounded-3 border-0 shadow-sm bg-pattern-line">
            <div class="card-body text-center py-5 text-dark">
                <div class="fs-5 fw-lighter text-uppercase">
                    <?= getStore('name') ?: BASE_NAME ?>
                </div>
                <div class="fs-3 fw-bold text-capitalize">
                    Langganan premium gak harus mahal
                </div>
                <div class="mt-4">
                    <button class="btn btn-lg btn-dark load-page shadow px-4 rounded-2" data-page="products" onclick="loadPage('products')">
                        <?= getStore('cta_home') ?: 'Belanja Sekarang' ?>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<hr class="my-5 border-0">
<hr class="my-5 border-0">