<div class="row">
    <div class="col-lg-12 mb-3 d-none">
        <div class="card">
            <div class="card-body">
                <div class="row mb-1">
                    <label class="fs-6 mb-2 fw-semibold">Email / Whatsapp</label>
                    <div class="col-lg">
                        <input type="text" class="form-control" id="target" placeholder="Masukan email atau nomor whatsapp" required>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if ($carousel_images) : ?>
        <div class="owl-carousel owl-theme" style="height: 300px;">
            <div style="max-height: 300px;">
                <img src="<?= base_url('assets/images/og/product/' . $product['og_image']) ?>" class="rounded mx-auto d-block carousel-fit" alt="<?= $product['name'] ?>">
            </div>
            <?php foreach ($carousel_images as $img) : ?>
                <div style="max-height: 300px;">
                    <img src="<?= base_url('assets/images/product/extra/' . $img['image_url']) ?>" class="rounded mx-auto d-block carousel-fit" alt="<?= $product['name'] ?>">
                </div>
            <?php endforeach ?>
        </div>
        <script>
            $(document).ready(function() {
                var owl = $('.owl-carousel');
                owl.owlCarousel({
                    items: 1,
                    lazyLoad: true,
                    margin: 10,
                    loop: true,
                    autoHeight: true,
                    autoplay: true,
                    autoplayTimeout: 3000,
                    autoplayHoverPause: true,
                    responsive: {
                        0: {
                            items: 1
                        }
                    }
                });
                owl.on('mousewheel', '.owl-stage', function(e) {
                    if (e.deltaY > 0) {
                        owl.trigger('next.owl');
                    } else {
                        owl.trigger('prev.owl');
                    }
                    e.preventDefault();
                });
                // jika scroll mouse di atas carousel maka carousel akan berhenti
                owl.on('mouseover', function() {
                    owl.trigger('stop.owl.autoplay');
                });
            });
        </script>
    <?php endif ?>
    <?php if ($product['description']) : ?>
        <div class="col-lg-12 mb-3">
            <div class="card">
                <div class="card-body">
                    <button class="btn btn-sm btn-dark" type="button" data-bs-toggle="collapse" data-bs-target="#description" aria-expanded="false" aria-controls="description">
                        Lihat / Sembunyikan deskripsi
                    </button>
                    <div class="collapse show" id="description">
                        <div class="pt-2"><?= clean_p_tag($product['description']) ?></div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif ?>
    <div class="col-lg-12 mb-3">
        <div class="card">
            <div class="card-body">
                <div class="fs-6 mb-2 fw-medium">1. Pilih produk</div>
                <?php if ($variant) : ?>
                    <div class="row row-cols-1 row-cols-lg-2 g-2" id="tipe">
                        <?php foreach ($variant as $v) : ?>
                            <div class="col-lg-6 col-12 pe-1" data-variant-slug="<?= $v['slug'] ?>" data-variant-price="<?= $v['price'] ?>">
                                <div class="variant border <?= (count($v) == 1) ? "active" : "" ?>">
                                    <i class="bi bi-bag-heart fs-3"></i>
                                    <div class="content lh-sm w-75">
                                        <div class="title">
                                            <?= $v['name'] ?>
                                        </div>
                                        <small><?= $v['info'] ?></small>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach ?>
                    </div>
                <?php else : ?>
                    <div class="alert alert-warning mb-0">
                        <i class="bi bi-exclamation-triangle-fill"></i>
                        <span>Produk ini belum memiliki varian</span>
                    </div>
                <?php endif ?>
            </div>
        </div>
    </div>
    <div class="col-lg-12 mb-3">
        <!-- jumlah item -->
        <div class="card">
            <div class="card-body">
                <div class="fs-6 mb-2 fw-medium">2. Tentukan jumlah item</div>
                <div class="row row-cols-1 row-cols-lg-2 g-3 align-items-center">
                    <div class="col">
                        <div class="input-group" id="qtySection">
                            <button type="button" class="btn btn-outline-secondary" onclick="btnItem('min')">-</button>
                            <input type="hidden" id="harga_per_item" value="<?= $product['price_discount'] ?>">
                            <input type="hidden" id="harga_fees" value="">
                            <input type="number" class="form-control total-item" value="1" min="1" max="100">
                            <button type="button" class="btn btn-outline-secondary" onclick="btnItem('add')">+</button>
                            <button type="button" class="btn btn-outline-secondary" onclick="btnItem('reset')"><i class="bi bi-arrow-counterclockwise"></i></button>
                        </div>
                    </div>
                    <div class="col">
                        <div class="fs-6">Subtotal</div>
                        <div class="fs-5 fw-semibold total-bayar">-</div>
                    </div>
                </div>
            </div>
        </div>
        <!-- data form -->
        <input type="hidden" name="csrf_token" id="csrf_token" value="<?= csrf_hash() ?>">
        <input type="hidden" name="variant" id="variant" value="<?= !$variant ? $product['slug'] : "" ?>">
        <input type="hidden" name="payment" id="payment">
    </div>
    <div class="col-lg-12 mb-3">
        <div class="card">
            <div class="card-body">
                <div class="fs-6 mb-2 fw-medium">3. Pilih metode pembayaran</div>
                <div class="row row-cols-1 row-cols-lg-2 g-2 mb-2" id="payment-method">
                    <?php foreach ($payment as $k => $p) : ?>
                        <?php if ($p['status'] != 2) : ?>
                            <div class="col">
                                <div class="variant payment border <?= $variant ? "disabled" : "" ?>" data-payment="<?= $p['name'] ?>" data-info="<?= $p['info'] ?>" data-fees-type="<?= $p['fees_type'] ?>" data-fees="<?= $p['fees'] ?>" data-payment-code="<?= $p['payment_code'] ?>" data-currency="<?= $p['currency'] ?>">
                                    <div class="content">
                                        <div class="payment-first">
                                            <img src="<?= base_url("assets/images/svg/loading.svg") ?>" data-src="<?= base_url('assets/images/payment/') . $p['image'] ?>" alt="<?= $p['name'] ?>" class="lazy-load-image" style="width: 70%;">
                                            <span style="font-size: x-small;"><?= $p['fees_type'] == 'percent' ? '+' . $p['fees'] . '%' : ($p['fees'] ? '+' . $p['fees'] : '') ?></span>
                                        </div>
                                        <span class="title">
                                            <?= (!$variant ? '<i class="bi bi-tags me-2"></i>' . number_to_currency($product['price_discount'], "IDR") : "") ?>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        <?php endif ?>
                    <?php endforeach ?>
                </div>
            </div>
        </div>
    </div>
    <?php if ($product['other_field']) : ?>
        <?php
        $tipe = 'text';
        $other_field = strtolower($product['other_field']);
        if ($other_field === 'email' || strpos($other_field, 'email')) $tipe = 'email';
        if ($other_field === 'nomor' || strpos($other_field, 'nomor')) $tipe = 'number';
        ?>
        <div class="col-lg-12 mb-3">
            <div class="card">
                <div class="card-body">
                    <div class="fs-6 mb-2 fw-medium">
                        4. Masukkan <?= strtolower($product['other_field']) ?>
                        <?php if ($product['must_field']) : ?>
                            <small class="text-danger">*</small>
                        <?php endif ?>
                    </div>
                    <?php if ($product['type_field'] === 'textarea') :
                        $rows = isset($product['default_field']) ? substr_count($product['default_field'], "\n") + 1 : 3;
                    ?>
                        <textarea rows="<?= $rows ?: 3 ?>" class="form-control" id="other_field" name="other_field" <?= !$product['must_field'] ?: "required" ?> placeholder="<?= $product['other_field'] ?> <?= $product['must_field'] ? 'harus diisi' : 'opsional' ?>"><?= $product['default_field'] ?></textarea>
                    <?php else : ?>
                        <input type="<?= $tipe ?>" class="form-control" id="other_field" name="other_field" <?= !$product['must_field'] ?: "required" ?> placeholder="<?= $product['other_field'] ?> <?= $product['must_field'] ? 'harus diisi' : 'opsional' ?>">
                    <?php endif ?>
                </div>
            </div>
        </div>
    <?php endif ?>
</div>

<script>
    // Function to check variant
    function checkVariant(slug) {
        setNotify(`Memeriksa harga...`);
        const $productOpen = $("#productOpen");
        const $variant = $('.variant');
        $variant.addClass('disabled');

        setTimeout(() => {
            const $hargaPerItem = $("#harga_per_item");
            const $productName = $productOpen.find(".modal-title").text();
            const $matchingVariant = $(`[data-variant-slug="${slug}"]`);
            const $payment = $('.payment');
            $.ajax({
                url: `${window.location.origin}/product/variant/${slug}`,
                type: 'get',
                dataType: 'json',
                success: function(response) {
                    $variant.removeClass('disabled');
                    let data = response.data;
                    let payment = response.payment;
                    $hargaPerItem.val(data.price);
                    priceItem();
                    priceItemPayment();
                    if (data.qty === null || !data.status) {
                        setNotify(`Variant ${data.name} tidak tersedia`);
                        $matchingVariant.remove();
                        $('#variant').val('');
                        $(".variant").removeClass('active');
                        $('.payment').addClass('disabled');
                        $('.payment .title').text('');
                    } else {
                        setNotify(`${$productName} - ${data.name}`);
                        $('.payment').removeClass('disabled');
                        // pass data to payment to list the payment method
                        let listPayment = $('.payment');
                        listPayment.each(function() {
                            let $this = $(this);
                            let paymentName = $this.data('payment');
                            let paymentData = payment.find(p => p.name === paymentName);
                            if (paymentData) {
                                let status = paymentData.status;
                                let currency = paymentData.currency;
                                let price = parseInt(paymentData.price);
                                let fees_type = paymentData.fees_type;
                                let fees = paymentData.fees;

                                if (!status) {
                                    $this.addClass('disabled');
                                }
                            }
                        });
                        $('#variant').val(slug);
                    }
                },
                error: function(xhr, status, error) {
                    console.error('Ajax request error:', error);
                    setNotify(`Ada error nih, hubungi admin ya!`);
                }
            });
        }, 300);
    }

    // button item function
    function btnItem(operation) {
        let item = parseInt($(".total-item").val());

        if (operation === 'add') {
            // max 50
            item = item < 50 ? item + 1 : 100;
        } else if (operation === 'min') {
            item = item > 1 ? item - 1 : 1;
        } else {
            item = 1;
        }
        $(".total-item").val(item);
        priceItem();
        priceItemPayment();
    }

    //  price item function
    function priceItem() {
        let item = $(".total-item").val();
        let price = $("#harga_per_item").val();
        let total = (price * item);
        let currencry = $('.payment.active').data('currency');
        let priceText = '';

        if (currencry === 'USD') {
            total = total / 15000;
            total = Math.ceil(total * 100) / 100;
            priceText = `$${total.toLocaleString('id-ID')} USD`;
        } else {
            priceText = `Rp ${total.toLocaleString('id-ID')}`;
        }
        $(".total-bayar").html(priceText);
    }

    // passing price item to payment
    function priceItemPayment() {
        let listPayment = $('.variant.payment');
        listPayment.each(function() {
            let $this = $(this);
            let paymentName = $this.data('payment');
            let paymentFeesType = $this.data('fees-type');
            let paymentFees = $this.data('fees');
            let currency = $this.data('currency');

            let item = $(".total-item").val();
            let price = $("#harga_per_item").val();

            if (paymentFeesType === 'percent') {
                paymentFees = paymentFees / 100;
                paymentFees = paymentFees * price;
            }

            let subtotal = (price * item);

            if (currency === 'USD') {
                paymentFees = paymentFees * item;
                let total = (subtotal + paymentFees);
                $this.data('currency', 'USD');
                total = total / 15000;
                total = Math.ceil(total * 100) / 100;
                $this.find('.title').html(`<i class="bi bi-tags me-2"></i>$${total.toLocaleString('id-ID')} USD`);
            } else {
                let total = (subtotal + paymentFees);
                $this.data('currency', 'IDR');
                $this.find('.title').html(`<i class="bi bi-tags me-2"></i>Rp ${total.toLocaleString('id-ID')}`);
            }
        });

    }

    $(document).ready(function() {
        const $tipe = $('#tipe');
        const $paymentMethod = $('#payment-method');
        const $variant = $('.variant');
        const $variantCheck = $('<div class="variant-check"><i class="bi bi-check-circle-fill text-primary fs-3"></i></div>');

        const $variantInput = $('#variant');
        const $paymentInput = $('#payment');
        const $csrfTokenInput = $('#csrf_token');
        const $buyNow = $('#buyNow');

        const $activeProduct = $('#products .col.active');
        const productPrice = $activeProduct.find('.price').text();

        // set target to target from sessionStorage
        const target = sessionStorage.getItem('target');
        if (target) {
            $targetInput.val(target);
        }

        // Append variant check icon to each variant
        $variant.append($variantCheck);

        // Variant Click - Event delegation
        $tipe.on('click', '.variant:not(.disabled)', function() {
            $tipe.find('.variant').removeClass('active');
            const $thisVariant = $(this);
            const variantDisabled = $thisVariant.hasClass('disabled');
            if (variantDisabled) {
                $thisVariant.find('.variant-check').remove();
                $thisVariant.removeClass('active');
            } else {
                $thisVariant.addClass('active');
                const variantSlug = $thisVariant.parent().data('variant-slug');
                checkVariant(variantSlug);
                $('#qtySection button, #qtySection input').removeAttr('disabled');
            }
        });

        // Payment Click - Event delegation
        $paymentMethod.on('click', '.variant:not(.disabled)', function() {
            $paymentMethod.find('.variant').removeClass('active');
            const $thisVariant = $(this);
            const variantDisabled = $thisVariant.hasClass('disabled');
            if (variantDisabled) {
                $thisVariant.find('.variant-check').remove();
                $thisVariant.removeClass('active');
            } else {
                const payment = $thisVariant.data('payment');
                const paymentCode = $thisVariant.data('payment-code');
                const priceText = $thisVariant.find('.title').text();
                const price = priceText.replace(/\./g, '').replace(/Rp|USD/g, '').trim();
                const price_based = $("#harga_per_item").val();
                const is_usd = $thisVariant.data('currency') === 'USD';
                const payment_info = $thisVariant.data('info');

                console.log(price, is_usd, payment_info);

                if (is_usd) {
                    function currencyToIdr(price) {
                        // remove dollar sign
                        price = price.replace(/\$/g, '');
                        price = parseInt(price);
                        if (isNaN(price)) {
                            return 'Invalid price';
                        }
                        return `$${price.toLocaleString('id-ID')} USD`;
                    }
                } else {
                    function currencyToIdr(price) {
                        price = parseInt(price);
                        if (isNaN(price)) {
                            return 'Invalid price';
                        }
                        return `Rp ${price.toLocaleString('id-ID')}`;
                    }
                }
                $(".total-bayar").html(currencyToIdr(price));

                setNotify(`Sip! metode pembayaran ${payment} dipilih`);
                $thisVariant.addClass('active');
                $paymentInput.val(paymentCode);
                $buyNow.removeAttr('disabled');
            }
        });

        // qtySection button default disabled
        $('#qtySection button, #qtySection input').attr('disabled', true);

        // on input .total-item
        $(".total-item").on('input', function() {
            if ($(this).val() < 1) {
                $(this).val(1);
            } else if ($(this).val() > 100) {
                $(this).val(100);
            }
            priceItem();
            priceItemPayment();
        });

        // beli sekarang pressed
        $buyNow.click(function() {
            const variant = $variantInput.val();
            const payment = $paymentInput.val();
            const csrfToken = $csrfTokenInput.val();
            const total_qty = $(".total-item").val();
            const otherField = $('#other_field').val();
            const otherFieldRequired = $('#other_field').prop('required');

            if (otherFieldRequired && otherField === '') {
                $('#other_field').focus();
                return setNotify('<?= $product['other_field'] ?> diperlukan! Silahkan isi terlebih dahulu');
            }

            if (variant === '') {
                return setNotify('Pilih varian dulu yuk!');
            }
            if (payment === '') {
                return setNotify('Pilih metode pembayarannya juga dong');
            }
            if (total_qty === '') {
                return setNotify('Pilih jumlah itemnya juga ya');
            }
            setNotify(`Membeli produk...`)
            setTimeout(() => {
                $.ajax({
                    url: `<?= base_url('product/order') ?>`,
                    type: 'post',
                    dataType: 'json',
                    data: {
                        variant: variant,
                        payment: payment,
                        qty: total_qty,
                        csrf_token: csrfToken
                    },
                    success: function(data) {

                        if (data.error) {
                            error = data.error.payment || data.error.variant;
                            setNotify(error, 5000);
                        } else {
                            setNotify(`Pesanan berhasil dibuat`);
                            setTimeout(() => {
                                setNotify(`Mengalihkan ke whatsapp...`);
                                setTimeout(() => {
                                    var webPhone = '<?= getStore('phone') ?: WA_PHONE ?>';
                                    var product = data.product;
                                    var variant = data.variant;
                                    var payment = data.payment.name;
                                    var pay = data.payment;
                                    var total_price = data.payment.total_price;
                                    var payment_info = data.payment.info;

                                    if (payment == 'PAYPAL' || pay.is_usd) {
                                        variant.price = variant.price_usd;
                                        total_price = data.payment.total_price_usd;

                                        function currencyToIdr(price) {
                                            price = Number(price);
                                            if (typeof price !== 'number' || isNaN(price)) {
                                                return 'Invalid price';
                                            }
                                            return `$${price.toLocaleString('id-ID')} USD`;
                                        }
                                    } else {
                                        function currencyToIdr(price) {
                                            price = Number(price);
                                            if (typeof price !== 'number' || isNaN(price)) {
                                                return 'Invalid price';
                                            }
                                            return `Rp ${price.toLocaleString('id-ID')}`;
                                        }
                                    }

                                    var cusMessage = `<?= format_pesan_wa(getStore('template_order')) ?>`;
                                    // var webMessage = `Halo kak!\nSaya ingin membeli ${product.name} - ${variant.name} ${variant.info} dengan harga ${currencyToIdr(variant.price)} x ${total_qty} menggunakan metode pembayaran ${payment}`;
                                    var receipt = `Halo kak!,
                                    
Saya ingin melakukan pemesanan. Apakah *${product.name} - ${variant.name}* / ${currencyToIdr(variant.price)} masih tersedia?\n\n`;

                                    receipt += `*Info:* ${variant.info ? variant.info : '-'}
*Jumlah Item:* ${total_qty}
*Metode Pembayaran:* ${payment}
*Total Harga:* ${currencyToIdr(total_price)}\n`;

                                    <?php if ($product['other_field']) : ?>
                                        if (otherField !== '') {
                                            receipt += `\n*<?= $product['other_field'] ?>:*\n${otherField}\n`;
                                        }
                                    <?php endif ?>

                                    if (payment_info && payment_info.length > 0) {
                                        receipt += `\n*Info Pembayaran:*\n`;
                                        if (payment_info.includes('\n')) {
                                            var info = payment_info.split('\n');
                                            for (let i = 0; i < info.length; i++) {
                                                receipt += `${info[i]}\n`;
                                            }
                                        } else {
                                            receipt += `${payment_info}\n`;
                                        }
                                    }

                                    receipt += `\nMohon konfirmasi untuk ketersediaan produk, agar saya bisa melakukan pembayaran secepatnya.\n
Terima kasih banyak! Jika ada informasi tambahan yang dibutuhkan, silakan beri tahu saya.`
                                    var message = '';
                                    if (cusMessage !== '' || cusMessage.length > 0) {
                                        // message += cusMessage + '\n\n' + receipt;
                                    } else {}
                                    message += receipt;

                                    var encodeMessage = encodeURI(message);
                                    var urlWhatsapp = `https://api.whatsapp.com/send?phone=${webPhone}&text=${encodeMessage}`;

                                    sessionStorage.removeItem('currentProduct');
                                    let userAgent = window.navigator.userAgent.toLowerCase();

                                    var isAppleDevice = /mac|macintosh|macintel|macppc|mac68k|macos|ipad|iphone|ipod/.test(userAgent) && !window.MSStream;

                                    if (isAppleDevice) {
                                        // location.href = urlWhatsapp;
                                        Swal.fire({
                                            title: "Kamu akan diarahkan ke whatsapp",
                                            html: "Silahkan tekan lanjutkan..",
                                            icon: 'warning',
                                            confirmButtonText: "Lanjutkan pesanan"
                                        }).then((result) => {
                                            if (result.isConfirmed) {
                                                window.open(urlWhatsapp, '_blank');
                                                location.reload();
                                            }
                                        })
                                    } else {
                                        Swal.fire({
                                            title: "Kamu akan diarahkan ke whatsapp",
                                            html: "Tunggu sebentar ya <b></b>",
                                            timer: 1000,
                                            timerProgressBar: true,
                                            didOpen: () => {
                                                Swal.showLoading();
                                                const timer = Swal.getPopup().querySelector('b');
                                                timerInterval = setInterval(() => {
                                                    timer.textContent = `${Swal.getTimerLeft()}`;
                                                }, 100);
                                            },
                                            willClose: () => {
                                                clearInterval(timerInterval);
                                            }
                                        }).then((result) => {
                                            if (result.dismiss === Swal.DismissReason.timer) {
                                                window.open(urlWhatsapp, '_blank');
                                                location.reload();
                                            }
                                        });
                                    }
                                }, 500);
                            }, 500);
                        }
                    },
                    error: function(xhr, status, error) {
                        setNotify(`Terjadi kesalahan, silahkan coba lagi`);
                        setTimeout(() => {
                            // location.reload();
                        }, 2000);
                    }
                });
            }, 1000);
        });
    });
</script>