<style>
    .notify-proof {
        position: fixed;
        left: 10px;
        bottom: 10px;
        max-width: 350px;
        display: none;
        flex-grow: 1;
        overflow-wrap: break-word;
        white-space: normal;
        background: rgba(255, 255, 255, 0.80);
        backdrop-filter: blur(10px);
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        color: var(--bs-dark);
        justify-content: space-between;
        border-radius: var(--rounded);
        padding: 10px 15px 10px 15px;
        z-index: 10;
        margin: auto;
        opacity: 0;
    }

    .img-proof {
        max-width: 50px;
        margin-right: 10px;
    }

    .fade-left {
        animation: fade-in-left .3s linear forwards;
    }

    @keyframes fade-in-left {

        0% {
            transform: translateX(-100px);
            opacity: 0;
        }

        100% {
            transform: translateX(0);
            opacity: 1;
        }
    }
</style>

<div id="notify-container"></div>

<script>
    $(document).ready(function() {
        var dataList = [{
                name: "Anatasya Newton",
                product: "Youtube Premium 4 Bulan",
                imageUrl: "https://nstore.test/assets/images/product/1717494578_0898eb75ef98dd93ff88.webp"
            },
            {
                name: "Setiawati Dewi",
                product: "Amazon Prime 6 Bulan",
                imageUrl: "https://nstore.test/assets/images/product/1717494578_0898eb75ef98dd93ff88.webp"
            },
            {
                name: "Famela Agatha",
                product: "Amazon Prime 6 Bulan",
                imageUrl: "https://nstore.test/assets/images/product/1717494578_0898eb75ef98dd93ff88.webp"
            }
        ];

        function showNotification(data, index) {
            // sensor nama disini
            data.name = data.name.replace(/(\w{1})\w+/g, "$1***");
            var notifyElement = $(
                '<div class="notify-proof fade-left">' +
                '    <div class="d-flex align-items-center">' +
                '        <img class="img-proof" src="' + data.imageUrl + '" alt="proof">' +
                '        <div class="d-grid">' +
                '            <div class="fw-medium">' + data.name + '</div>' +
                '            <div class="fs-6">' + data.product + '</div>' +
                '            <small class="text-primary text-capitalize">' +
                '                <i class="bi bi-shield-fill-check"></i>' +
                '                Pembayaran terverifikasi' +
                '            </small>' +
                '        </div>' +
                '    </div>' +
                '</div>'
            );

            $('#notify-container').append(notifyElement);
            notifyElement.fadeIn(300, function() {
                setTimeout(function() {
                    notifyElement.fadeOut(300, function() {
                        notifyElement.remove();
                        showNextNotification(index);
                    });
                }, 7000); // Tampilkan selama 7 detik
            });
        }

        function showNextNotification(index) {
            var nextIndex = (index + 1) % dataList.length;
            showNotification(dataList[nextIndex], nextIndex);
        }
        // hapus jika ada notifikasi sebelumnya maka hapus agar tidak tumpuk
        $('#notify-container').empty();
        // Mulai dengan menampilkan notifikasi pertama
        showNotification(dataList[0], 0);
    });
</script>