<?= $this->extend('Layouts/DashLayout') ?>

<?= $this->section('content') ?>
<div class="row mt-3">
    <div class="col-lg-12">
        <?= $this->include('Layouts/AlertMessage'); ?>
    </div>
    <!-- ubah info -->
    <div class="col-lg-6">
        <div class="card mb-3">
            <div class="card-body">
                <?= form_open() ?>
                <div class="mb-3">
                    <label for="name" class="form-label">Nama</label>
                    <input type="text" class="form-control" id="name" name="name" value="<?= old('name') ?: getUser('name') ?>" required>
                    <?php if (validation_show_error('name')) : ?>
                        <small class="text-danger"><?= validation_show_error('name') ?></small>
                    <?php endif ?>
                </div>
                <div class="mb-3">
                    <label for="email" class="form-label">Email</label>
                    <input type="text" class="form-control" id="email" name="email" value="<?= old('email') ?: getUser('email') ?>" required>
                    <?php if (validation_show_error('email')) : ?>
                        <small class="text-danger"><?= validation_show_error('email') ?></small>
                    <?php endif ?>
                </div>
                <div class="alert alert-secondary py-2 px-3">
                    <small>Diperlukan login setelah mengubah email</small>
                </div>
                <button class="btn btn-dark" type="submit">Ubah Informasi</button>
                <?= form_close() ?>
            </div>
        </div>
    </div>
    <!-- ubah password -->
    <div class="col-lg-6">
        <div class="card">
            <div class="card-body">
                <?= form_open() ?>
                <div class="mb-3">
                    <label for="oldPassword" class="form-label">Password sekarang</label>
                    <input type="password" class="form-control" id="oldPassword" name="oldPassword" placeholder="Old Password">
                    <?php if (validation_show_error('oldPassword')) : ?>
                        <small class="text-danger"><?= validation_show_error('oldPassword') ?></small>
                    <?php endif ?>
                </div>
                <!-- password baru -->
                <div class="mb-3">
                    <label for="newPassword" class="form-label">Password baru</label>
                    <input type="password" class="form-control" id="newPassword" name="newPassword" placeholder="New Password">
                    <?php if (validation_show_error('newPassword')) : ?>
                        <small class="text-danger"><?= validation_show_error('newPassword') ?></small>
                    <?php endif ?>
                </div>
                <!-- konfirmasi password baru -->
                <div class="mb-3">
                    <label for="confirmPassword" class="form-label">Konfirmasi password baru</label>
                    <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" placeholder="Confirm Password">
                    <?php if (validation_show_error('confirmPassword')) : ?>
                        <small class="text-danger"><?= validation_show_error('confirmPassword') ?></small>
                    <?php endif ?>
                </div>
                <button type="submit" class="btn btn-dark">Ubah Password</button>
                <?= form_close() ?>
            </div>
        </div>
    </div>
</div>
<?= $this->endSection() ?>

<?= $this->section('script') ?>
<script>
    $("input").on("input", function() {
        if ($(this).next().hasClass("text-danger")) {
            $(this).next().remove();
        }
    });
    if ($(".alert").length) {
        setTimeout(() => {
            $(".alert").slideUp(200, function() {
                $(this).remove();
            });
        }, 3000);
    }
</script>
<?= $this->endSection() ?>