<?php

declare(strict_types=1);

/**
 * This file is part of CodeIgniter 4 framework.
 *
 * (c) CodeIgniter Foundation <admin@codeigniter.com>
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

// Time language settings
return [
    'invalidFormat'  => '"{0}" சரியான தேதிநேர வடிவமைப்பு அல்ல', // '"{0}" is not a valid datetime format',
    'invalidMonth'   => 'மாதங்கள் 1 முதல் 12 வரை இருக்க வேண்டும். கொடுக்கப்பட்டவை: {0}', // 'Months must be between 1 and 12. Given: {0}',
    'invalidDay'     => 'நாட்கள் 1 முதல் 31 வரை இருக்க வேண்டும். கொடுக்கப்பட்டவை: {0}', // 'Days must be between 1 and 31. Given: {0}',
    'invalidOverDay' => 'நாட்கள் 1 முதல் {0} வரை இருக்க வேண்டும். கொடுக்கப்பட்டது: {1}', // 'Days must be between 1 and {0}. Given: {1}',
    'invalidHours'   => 'மணிநேரம் 0 மற்றும் 23 க்கு இடையில் இருக்க வேண்டும். கொடுக்கப்பட்டவை: {0}', // 'Hours must be between 0 and 23. Given: {0}',
    'invalidMinutes' => 'நிமிடங்கள் 0 மற்றும் 59 க்கு இடையில் இருக்க வேண்டும். கொடுக்கப்பட்டவை: {0}', // 'Minutes must be between 0 and 59. Given: {0}',
    'invalidSeconds' => 'வினாடிகள் 0 மற்றும் 59 க்கு இடையில் இருக்க வேண்டும். கொடுக்கப்பட்டவை: {0}', // 'Seconds must be between 0 and 59. Given: {0}',
    'years'          => '{0, பன்மை, =1{# வருடம்} மற்றவை{# ஆண்டுகள்}}', // '{0, plural, =1{# year} other{# years}}',
    'months'         => '{0, பன்மை, =1{# மாதம்} மற்றவை{# மாதங்கள்}}', // '{0, plural, =1{# month} other{# months}}',
    'weeks'          => '{0, பன்மை, =1{# வாரம்} மற்றவை{# வாரங்கள்}}', // '{0, plural, =1{# week} other{# weeks}}',
    'days'           => '{0, பன்மை, =1{# நாள்} மற்றவை{# நாட்கள்}}', // '{0, plural, =1{# day} other{# days}}',
    'hours'          => '{0, பன்மை, =1{# மணி} மற்றவை{# மணிநேரங்கள்}}', // '{0, plural, =1{# hour} other{# hours}}',
    'minutes'        => '{0, பன்மை, =1{# நிமிடம்} மற்றவை{# நிமிடங்கள்}}', // '{0, plural, =1{# minute} other{# minutes}}',
    'seconds'        => '{0, பன்மை, =1{# நொடி} மற்றவை{# வினாடிகள்}}', // '{0, plural, =1{# second} other{# seconds}}',
    'ago'            => '{0} முன்பு', // '{0} ago',
    'inFuture'       => 'இல் {0}', // 'in {0}',
    'yesterday'      => 'நேற்று', // 'Yesterday',
    'tomorrow'       => 'நாளை', // 'Tomorrow',
    'now'            => 'இப்போதுதான்', // Just now,
];
